Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename stream-each
%global enable_tests 1

Name:		nodejs-stream-each
Version:	1.2.0
Release:	alt1_4
Summary:	Iterate all the data in a stream

License:	MIT
URL:		https://github.com/mafintosh/stream-each.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(end-of-stream)
BuildRequires:	npm(stream-shift)
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
BuildRequires:	npm(through2)
%endif
Source44: import.info

%description
Iterate all the data in a stream


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test.js
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Apr 11 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1_4
- new version

